libfreehand::FHPath Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libfreehand::FHPath Class Reference

`#include <FHPath.h>`

Inheritance diagram for libfreehand::FHPath:

## Public Member Functions
| FHPath ()
| FHPath (const FHPath &path)
| ~FHPath ()
FHPath & | operator= (const FHPath &path)
void | appendMoveTo (double x, double y)
void | appendLineTo (double x, double y)
void | appendCubicBezierTo (double x1, double y1, double x2, double y2, double x, double y)
void | appendQuadraticBezierTo (double x1, double y1, double x, double y)
void | appendArcTo (double rx, double ry, double rotation, bool longAngle, bool sweep, double x, double y)
void | appendClosePath ()
void | appendPath (const FHPath &path)
void | writeOut (librevenge::RVNGPropertyListVector &vec) const
void | transform (const FHTransform &trafo)
FHPathElement * | clone ()
void | clear ()
bool | empty () const
bool | isClosed () const
Public Member Functions inherited from libfreehand::FHPathElement
| FHPathElement ()
virtual | ~FHPathElement ()

## Private Attributes
std::vector< FHPathElement * > | m_elements
bool | m_isClosed

## Constructor & Destructor Documentation

libfreehand::FHPath::FHPath | ( |  | ) |
| inline

libfreehand::FHPath::FHPath | ( | const FHPath & | path | ) |

libfreehand::FHPath::~FHPath | ( |  | ) |

## Member Function Documentation

void libfreehand::FHPath::appendArcTo | ( | double | rx,
|  | double | ry,
|  | double | rotation,
|  | bool | longAngle,
|  | bool | sweep,
|  | double | x,
|  | double | y
| ) |  |

Referenced by libfreehand::FHParser::readOval().

void libfreehand::FHPath::appendClosePath | ( |  | ) |

Referenced by libfreehand::FHParser::readOval(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

void libfreehand::FHPath::appendCubicBezierTo | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2,
|  | double | x,
|  | double | y
| ) |  |

Referenced by libfreehand::FHParser::readPath().

void libfreehand::FHPath::appendLineTo | ( | double | x,
|  | double | y
| ) |  |

Referenced by libfreehand::FHParser::readOval(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

void libfreehand::FHPath::appendMoveTo | ( | double | x,
|  | double | y
| ) |  |

Referenced by libfreehand::FHParser::readOval(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

void libfreehand::FHPath::appendPath | ( | const FHPath & | path | ) |

void libfreehand::FHPath::appendQuadraticBezierTo | ( | double | x1,
|  | double | y1,
|  | double | x,
|  | double | y
| ) |  |

Referenced by libfreehand::FHParser::readRectangle().

void libfreehand::FHPath::clear | ( |  | ) |

libfreehand::FHPathElement * libfreehand::FHPath::clone | ( |  | ) |
| virtual

Implements libfreehand::FHPathElement.

bool libfreehand::FHPath::empty | ( |  | ) | const

Referenced by libfreehand::FHCollector::collectPath().

bool libfreehand::FHPath::isClosed | ( |  | ) | const

Referenced by FHPath(), and operator=().

libfreehand::FHPath & libfreehand::FHPath::operator= | ( | const FHPath & | path | ) |

void libfreehand::FHPath::transform | ( | const FHTransform & | trafo | ) |
| virtual

Implements libfreehand::FHPathElement.

Referenced by libfreehand::FHCollector::_normalizePath(), and libfreehand::FHCollector::collectPath().

void libfreehand::FHPath::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| virtual

Implements libfreehand::FHPathElement.

Referenced by libfreehand::FHCollector::collectPath().

## Member Data Documentation

std::vector<FHPathElement *> libfreehand::FHPath::m_elements
| private

Referenced by appendPath(), FHPath(), and operator=().

bool libfreehand::FHPath::m_isClosed
| private

Referenced by FHPath().

The documentation for this class was generated from the following files:

- FHPath.h
- FHPath.cpp